Subject: LOCKing an unmapped URL

From: Ken Murchison <[email-masked]>
Date: Thu, 03 Jan 2013 15:59:04 -0500

If a write lock is successfully created on an unmapped URL, should an 
ETag (with associated Location header) be returned for the empty 
resource in the 201 response?

-- 
Kenneth Murchison
Principal Systems Software Engineer
Carnegie Mellon University

---

From: Werner Donné <[email-masked]>
Date: Thu, 3 Jan 2013 23:12:00 +0100

Section 9.10.6 of RFC 4918 doesn't mandate those headers to be included, but I don't think it is forbidden to include them. Even when considering the PUT method as an anology, those headers are not obligatory.

Werner.

--
http://www.pincette.biz/
Handling your documents with care, wherever you are.

Op 03 Jan 2013 om 21:59 heeft Ken Murchison <[email-masked]> het volgende geschreven:

> If a write lock is successfully created on an unmapped URL, should an ETag (with associated Location header) be returned for the empty resource in the 201 response?
> 
> -- 
> Kenneth Murchison